<ActionBar class="action-bar" title="Passit">
    <NavigationButton
        (tap)="menuTap.emit()"
        icon="res://ic_menu_white_24dp"
    ></NavigationButton>
    <GridLayout class="search" *ngIf="showSearch" columns="*, 20">
        <TextField
            #searchBar
            id="searchBar"
            (textChange)="onSearchChange($event)"
        ></TextField>
    </GridLayout>
    <ActionItem *ngIf="showSearch"
        (tap)="onClearSearchTap()"
        icon="res://ic_close_white_24dp"
    ></ActionItem>
    <ActionItem *ngIf="!showSearch"
        (tap)="onSearchTap()"
        icon="res://ic_search_white_24dp"
    ></ActionItem>
</ActionBar>


 
